List addresses
GET
/v2/addressesRequest
Use this request to retrieve a list of addresses associated with a given account. The only required parameter is theaccountId. You can use optional parameters to filter or search the results, and retrieve additional details.
Query parameters
The ID of the account that you want to retrieve a list of addresses for.Allowable values: An existing
accountId (≤ 36 characters)The maximum number of results to return. For example,
limit=25. By default, this is set to 100.Allowable values: [ 1 .. 1000 ]The number of items to skip before returning results. For example,
offset=200. By default, this is set to 0.Allowable values: A valid integerFilters results that include this string. For example,
search=Jane+Doe.Allowable values: A valid stringFilter results to include only this type of address. For example,
type=registered.Allowable values: A valid stringResponse
If your request is successful, you’ll receive a200 response containing a list of addresses. These are ordered alphabetically by nickName.
Retrieve an address
GET
/v2/addresses/{addressId}?accountId={accountId}Request
Use this request to retrieve details for a specific address, based on itsaddressId.
Path parameters
The ID of the address that you want to retrieve details for.Allowable values: An existing
addressIdQuery parameters
The ID of the account associated with the address ID.Allowable values: An existing
accountId (≤ 36 characters)Response
If your request is successful, you’ll receive a200 response containing the details of the address.
Update an address
PATCH
/v2/addresses/{addressId}?accountId={accountId}Request
Use this request to update a given address.You can’t update an address that has
registered as its type.Path parameters
The ID of the address that you want to update.Allowable values: An existing
addressIdQuery parameters
The ID of the account associated with the address ID.Allowable values: An existing
accountId (≤ 36 characters)Request body schema
The address type. This can be anything except
registered.Allowable values: A valid stringThe nickname of the address.Allowable values: ≤ 256 characters
The first line of the address.Allowable values: ≤ 256 characters
The second line of the address.Allowable values: ≤ 256 characters
The third line of the address.Allowable values: ≤ 256 characters
The name of the contact associated with the address.Allowable values: ≤ 256 characters
The city of the address.Allowable values: ≤ 256 characters
The postal or ZIP code of the address.Allowable values: ≤ 256 characters
The country of the address.Allowable values: ≤ 256 characters
Response
If your request is successful, you’ll receive a200 response containing the updated details for this address.
Delete an address
DELETE
/v2/addresses/{addressId}?accountId={accountId}Request
Use this request to delete an existing address.You can’t delete an address that has
registered as its type.Path parameters
The ID of the address that you want to delete.Allowable values: An existing
addressIdQuery parameters
The ID of the account associated with the address ID.Allowable values: An existing
accountId (≤ 36 characters)Response
If your request is successful, you’ll receive a204 response.
For more detailed information about this request and its response, see the API reference.